Name:             glassfish-enterprise-concurrent-api
Version:          1.0
Release:          1%{dist}
Summary:          Concurrency Utilities API for Java EE
License:          CDDL or GPLv2 with exceptions
Url:              https://java.net/projects/cu-javaee

# svn export https://svn.java.net/svn/concurrency-ee-spec~source-code-repository/tags/javax.enterprise.concurrent-api-1.0 glassfish-enterprise-concurrent-api-1.0
# tar -zcvf glassfish-enterprise-concurrent-api-1.0.tar.gz glassfish-enterprise-concurrent-api-1.0
Source0:          glassfish-enterprise-concurrent-api-%{version}.tar.gz
Source1:          cddl.txt

BuildRequires:    jvnet-parent
BuildRequires:    felix-osgi-foundation
BuildRequires:    felix-parent
BuildRequires:    maven-local
BuildRequires:    maven-plugin-jxr
BuildRequires:    spec-version-maven-plugin
BuildRequires:    maven-checkstyle-plugin

BuildArch:        noarch

%description
API for JSR 236 - Concurrency Utilities for Java EE

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n glassfish-enterprise-concurrent-api-%{version}

cp %{SOURCE1} .

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc cddl.txt

%files javadoc -f .mfiles-javadoc
%doc cddl.txt

%changelog
* Tue Oct 08 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0-1
- Initial import


